Subject: Darwin Day HSS

From: "June Maxwell" <[email-masked]>
Date: Wed, 3 Jan 2007 14:00:43 +0000

Thank you so much for this.  Yes, we are preparing material for school
assemblies for DD this year and of course 2009.  I look forward to making
use of material on your site and wish you every success.  Education Officer,
Humanist Society, Scotland.
-- 
June Maxwell

Disclaimer
This email (including any attachment) is confidential, protected by
copyright and may be privileged.  The information it contains is for a
specific purpose.  Please do not forward it to others without my
permission.  If you receive it in error, please notify me.